# Uses of Enum Class
java.time.format.ResolverStyle

Packages that use ResolverStyle
Package
Description
java.time.chrono
Generic API for calendar systems other than the default ISO.
java.time.format
Provides classes to print and parse dates and times.
java.time.temporal
Access to date and time using fields and units, and date time adjusters.

## Uses of ResolverStyle in java.time.chrono

Methods in java.time.chrono with parameters of type ResolverStyle
Modifier and Type
Method
Description
`ChronoLocalDate`
AbstractChronology.`resolveDate​(Map<TemporalField,​Long> fieldValues, ResolverStyle resolverStyle)`
Resolves parsed `ChronoField` values into a date during parsing.
`ChronoLocalDate`
Chronology.`resolveDate​(Map<TemporalField,​Long> fieldValues, ResolverStyle resolverStyle)`
Resolves parsed `ChronoField` values into a date during parsing.
`HijrahDate`
HijrahChronology.`resolveDate​(Map<TemporalField,​Long> fieldValues, ResolverStyle resolverStyle)`
`LocalDate`
IsoChronology.`resolveDate​(Map<TemporalField,​Long> fieldValues, ResolverStyle resolverStyle)`
Resolves parsed `ChronoField` values into a date during parsing.
`JapaneseDate`
JapaneseChronology.`resolveDate​(Map<TemporalField,​Long> fieldValues, ResolverStyle resolverStyle)`
`MinguoDate`
MinguoChronology.`resolveDate​(Map<TemporalField,​Long> fieldValues, ResolverStyle resolverStyle)`
`ThaiBuddhistDate`
ThaiBuddhistChronology.`resolveDate​(Map<TemporalField,​Long> fieldValues, ResolverStyle resolverStyle)`

## Uses of ResolverStyle in java.time.format

Methods in java.time.format that return ResolverStyle
Modifier and Type
Method
Description
`ResolverStyle`
DateTimeFormatter.`getResolverStyle()`
Gets the resolver style to use during parsing.
`static ResolverStyle`
ResolverStyle.`valueOf​(String name)`
Returns the enum constant of this class with the specified name.
`static ResolverStyle[]`
ResolverStyle.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in java.time.format with parameters of type ResolverStyle
Modifier and Type
Method
Description
`DateTimeFormatter`
DateTimeFormatter.`withResolverStyle​(ResolverStyle resolverStyle)`
Returns a copy of this formatter with a new resolver style.

## Uses of ResolverStyle in java.time.temporal

Methods in java.time.temporal with parameters of type ResolverStyle
Modifier and Type
Method
Description
`default TemporalAccessor`
TemporalField.`resolve​(Map<TemporalField,​Long> fieldValues, TemporalAccessor partialTemporal, ResolverStyle resolverStyle)`
Resolves this field to provide a simpler alternative or a date.